LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XTerminateListener2 Interface Reference

extend interface XTerminateListener so a listener will be informed in case termination process was canceled by other reasons. More...

`import"XTerminateListener2.idl";`

Inheritance diagram for XTerminateListener2:

## Public Member Functions
void | cancelTermination ([in] com::sun::star::lang::EventObject Event)
| is called when the master environment (e.g., desktop) was canceled in it's terminate request. More...
Public Member Functions inherited from XTerminateListener
void | queryTermination ([in] com::sun::star::lang::EventObject Event) raises ( TerminationVetoException )
| is called when the master environment (e.g., desktop) is about to terminate. More...
void | notifyTermination ([in] com::sun::star::lang::EventObject Event)
| is called when the master environment is finally terminated. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

extend interface XTerminateListener so a listener will be informed in case termination process was canceled by other reasons.

## Member Function Documentation

## ◆ cancelTermination()

void cancelTermination | ( | [in] com::sun::star::lang::EventObject | Event | ) |

is called when the master environment (e.g., desktop) was canceled in it's terminate request.

Termination can be intercepted by throwing TerminationVetoException. But if a listener was queried for termination .. doesn't throw a veto exception ... it doesn't know if termination will be real next time. Because any other listener can throw those exception too ... and so it can happen that after queryTermination() no notifyTermination() will occur. But these listener don't know if it's allowed to start new processes then. Using this optional(!) interface will make it possible to be informed about canceled termination requests also.

Parameters

  Event | describe the source of the event (e.g., the desktop)

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XTerminateListener2.idl